cdac.medinfo.ccd.datatype

## Class SXPRTS

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.QTY
    - - cdac.medinfo.ccd.datatype.TS
      - - cdac.medinfo.ccd.datatype.SXCMTS
        - - cdac.medinfo.ccd.datatype.SXPRTS

- All Implemented Interfaces:
    java.io.Serializable

      public class SXPRTS
      extends SXCMTS

  Java class for SXPR_TS complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SXPR_TS">
         <complexContent>
           <extension base="{urn:hl7-org:v3}SXCM_TS">
             <sequence>
               <element name="comp" type="{urn:hl7-org:v3}SXCM_TS" maxOccurs="unbounded" minOccurs="2"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SXPRTS()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<SXCMTS>` | `getComp()` Gets the value of the comp property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.SXCMTS

      `getOperator, setOperator`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.TS

      `getValue, setValue`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SXPRTS

          public SXPRTS()

  - ### Method Detail

    - #### getComp

          public java.util.List<SXCMTS> getComp()

      Gets the value of the comp property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the comp property.

      For example, to add a new item, do as follows:

              getComp().add(newItem);

      Objects of the following type(s) are allowed in the list `SXCMTS`